std::__detail::_RangeMatcher< _InIterT, _TraitsT > Struct Template Reference
Base and Implementation Classes

## Public Types

typedef _TraitsT::char_type | _CharT
typedef std::basic_string< _CharT > | _StringT

## Public Member Functions

| _RangeMatcher (bool __is_non_matching, const _TraitsT &__t=_TraitsT())
void | _M_add_char (_CharT __c)
void | _M_add_character_class (const _StringT &__s)
void | _M_add_collating_element (const _StringT &__s)
void | _M_add_equivalence_class (const _StringT &__s)
void | _M_make_range ()
bool | operator() (const _PatternCursor &__pc) const

## Public Attributes

bool | _M_is_non_matching
const _TraitsT & | _M_traits

## Detailed Description

### template<typename _InIterT, typename _TraitsT>
struct std::__detail::_RangeMatcher< _InIterT, _TraitsT >

Matches a character range (bracket expression)

Definition at line 165 of file regex_nfa.h.

The documentation for this struct was generated from the following file:

- regex_nfa.h